Subject: bug#64420: string-width of … is 2 in CJK environments

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Aug 2023 08:24:21 +0300

> Date: Sun, 13 Aug 2023 03:22:41 +0300
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 11/08/2023 21:07, Yuan Fu wrote:
> > On GUI display, the later-half of the ambiguous characters are definitely wider than one char, but they aren’t quite 2 chars wide either. But I guess it doesn’t matter too much since one should use pixel size on GUI anyway.
> 
> BTW, I think most double-width characters on GUI are less than 2 
> characters wide?
> 
> So the point here would be that some "ambiguous" ones are still wider 
> than 1, I guess.

According to Yuan, at least in his environment those characters have a
width that is closer to 2 than to 1.  In which case using 2 would
produce better alignment.  Of course, using string-pixel-width will
produce an even better alignment.